#include <iostream>

using namespace std;

int main()
{
    unsigned long long v,k=0;
    cin>>v;
    while (v>0)
    {
        if (v%10==1)
            k=k+1;
        else if (v%10==2)
            k=k+1;
        else if (v%10==3)
            k=k+2;
        else if (v%10==4)
            k=k+2;
        else if (v%10==5)
            k=k+1;
        else if (v%10==6)
            k=k+2;
        else if (v%10==7)
            k=k+2;
        else if (v%10==8)
            k=k+3;
        else if (v%10==9)
            k=k+3;
        v=v/10;
    }
    cout<<k;
    return 0;
}